ubuntu安裝IE6

  在7.10時就安裝過IEs4Linux,升上8.04後則是到現在才安裝,不過這次安裝倒是遇到之前沒遇過的問題,出現「An error occured when trying to cabextract some files」的錯誤,到下載目錄一看,空無一物,難怪解不出來,上網爬文後,所幸最終還是裝起來了

執行

  • sudo gedit /etc/apt/sources.list

在下方加入
deb http://us.archive.ubuntu.com/ubuntu gutsy universe
deb http://wine.budgetdedicated.com/apt gutsy main
儲存後關閉

依序執行

  • wget -q http://wine.budgetdedicated.com/apt/387EE263.gpg -O- | sudo apt-key add –
  • עדכון sudo apt-get
  • sudo apt-get install wine cabextract
  • wget http://www.tatanka.com.br/ies4linux/downloads/ies4linux-latest.tar.gz
  • tar zxvf ies4linux-latest.tar.gz
  • cd ies4linux-*

執行

  • gedit ./lib/messages.txt

將第19行的
tw . zhTW TW
改成
zh tw    zhTW TW
改好後儲存

執行

  • gedit ./lib/functions.sh

將第98行的
pid=$(wget -q -b -t 1.....
改成
pid=$(LANG=C wget -q -b -t 1 .....
改好後儲存

執行

  • ./ies4linux

可能會出現wine版本過舊的訊息,似乎是因為不認得wine 1.X的緣故,可以不予理會

接著會出現選項,勾選Flash可能會導致失敗,建議不勾,等IE裝起來後,透過瀏覽flash網頁時安裝即可

之後可能出現下載不完整的情形,此時僅需重複執行./ies4linux,直到所有套件都下載完後,即會繼續進行安裝程序

程序跑完後即完成安裝

如果桌面跟應用程式裡沒出現捷徑的話,可以到/home/anson/.ies4linux目錄下找到Internet Explorer 6.0這個預設捷徑

 
 
2012.1.12לעדכן
若安裝時出現"Your wine does not have wineprefixcreate installed."
修改/lib裡的install.sh及functions.sh
wineprefixcreate改以winepath取代即可
 

[קישור]

2 תגובות

  1. ziwar אומר |

    我也是按照你的方法做得,为什么没好用?

  2. אנסון אומר |

    板主回覆
    怎樣不能用?

השאיר תגובה

שים לב: תגובת התמתנות מופעלת ועלולה לעכב את התגובה שלך. אין צורך להגיש מחדש את התגובה שלך.